Index: src/sas/sascalc/corfunc/corfunc_calculator.py
===================================================================
--- src/sas/sascalc/corfunc/corfunc_calculator.py	(revision 5878a9ea1a36e1e08584754efc91fb81ad5cf3a4)
+++ src/sas/sascalc/corfunc/corfunc_calculator.py	(revision e73e7235b94ab326147835ff01c27fe01e60cdb7)
@@ -226,7 +226,4 @@
         }
 
-        for key, val in params.iteritems():
-            params[key] = self._round_sig_figs(val, 6)
-
         return params
 
@@ -276,20 +273,2 @@
 
         return s2
-
-    def _round_sig_figs(self, x, sigfigs):
-        """
-        Round a number to a given number of significant figures.
-
-        :param x: The value to round
-        :param sigfigs: How many significant figures to round to
-        :return rounded_str: x rounded to the given number of significant
-            figures, as a string
-        """
-        # Index of first significant digit
-        significant_digit = -int(np.floor(np.log10(np.abs(x))))
-        # Number of digits required for correct number of sig figs
-        digits = significant_digit + (sigfigs - 1)
-        rounded = np.round(x, decimals=digits)
-        rounded_str = "{1:.{0}f}".format(sigfigs -1  + significant_digit,
-            rounded)
-        return rounded_str
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 5878a9ea1a36e1e08584754efc91fb81ad5cf3a4)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision e73e7235b94ab326147835ff01c27fe01e60cdb7)
@@ -1,4 +1,5 @@
 import wx
 import sys
+import numpy as np
 from wx.lib.scrolledpanel import ScrolledPanel
 from sas.sasgui.guiframe.events import PlotQrangeEvent
@@ -313,5 +314,6 @@
                 error = True
             for key, value in params.iteritems():
-                self._output_boxes[key].SetValue(value)
+                rounded = self._round_sig_figs(value, 6)
+                self._output_boxes[key].SetValue(rounded)
         if error:
             msg = 'Not all parameters were able to be calculated'
@@ -605,2 +607,20 @@
         self._qmax2_input.Enable()
         self._background_input.Enable()
+
+    def _round_sig_figs(self, x, sigfigs):
+        """
+        Round a number to a given number of significant figures.
+
+        :param x: The value to round
+        :param sigfigs: How many significant figures to round to
+        :return rounded_str: x rounded to the given number of significant
+            figures, as a string
+        """
+        # Index of first significant digit
+        significant_digit = -int(np.floor(np.log10(np.abs(x))))
+        # Number of digits required for correct number of sig figs
+        digits = significant_digit + (sigfigs - 1)
+        rounded = np.round(x, decimals=digits)
+        rounded_str = "{1:.{0}f}".format(sigfigs -1  + significant_digit,
+            rounded)
+        return rounded_str
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision d4f5637c4d2ba702b0fd25afb6a31cf880673835)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision e73e7235b94ab326147835ff01c27fe01e60cdb7)
@@ -178,5 +178,6 @@
             for item in output_list:
                 element = new_doc.createElement(item[0])
-                element.appendChild(new_doc.createTextNode(self.outputs[item[0]]))
+                value = self.outputs[item[0]]
+                element.appendChild(new_doc.createTextNode(str(value)))
                 output.appendChild(element)
 
@@ -240,5 +241,5 @@
                     parameter = get_content("ns:{}".format(item[0]), entry)
                     if parameter is not None:
-                        self.outputs[item[0]] = parameter.text.strip()
+                        self.outputs[item[0]] = float(parameter.text.strip())
 
 
